#!/bin/sh
#----------------------------------------------------------------------------
# /tmp/install.sh - system-user-wwwrun installation
#
# Creation   :  2022-09-07 holbru
# Last update:  $Id: install.sh 105988 2023-08-17 13:31:00Z hbfl $
#
# Copyright (c) 2022-2023 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# set package name
package_name=system-user-wwwrun

# ---------------------------------------------------------------------------
# activate
# ---------------------------------------------------------------------------
/usr/sbin/sysusers2shadow system-user-wwwrun.conf <<"EOF" || [ -f /.buildenv ]
g www -
u wwwrun - "WWW daemon apache" /var/lib/wwwrun
m wwwrun www
m wwwrun nogroup
m wwwrun nobody
EOF

if ! /usr/bin/getent passwd wwwrun | /usr/bin/grep -q 'sbin/nologin'
then
    /var/install/bin/modify-user -s wwwrun '/sbin/nologin'
fi

if ! /usr/bin/getent passwd wwwrun | /usr/bin/grep -q 'var/lib/wwwrun'
then
    /var/install/bin/modify-user -d wwwrun '/var/lib/wwwrun'
fi

exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
